<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myWorkOrderLabel" jhiTranslate="mpmApp.workOrder.home.createOrEditLabel">Create or edit a Work Order</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!workOrder.idRequirement">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="workOrder.idRequirement" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.workOrder.vehicleNumber" for="field_vehicleNumber">Vehicle Number</label>
            <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
                [(ngModel)]="workOrder.vehicleNumber"  />
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.workOrder.customer" for="field_customer">Customer</label>
            <select class="form-control" id="field_customer" name="customer" [(ngModel)]="workOrder.customerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="customerOption.idCustomer" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.workOrder.mechanic" for="field_mechanic">Mechanic</label>
            <select class="form-control" id="field_mechanic" name="mechanic" [(ngModel)]="workOrder.mechanicId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="mechanicOption.idPartyRole" *ngFor="let mechanicOption of mechanics; trackBy: trackMechanicById">{{mechanicOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.workOrder.vehicle" for="field_vehicle">Vehicle</label>
            <select class="form-control" id="field_vehicle" name="vehicle" [(ngModel)]="workOrder.vehicleId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="vehicleIdentificationOption.idVehicleIdentification" *ngFor="let vehicleIdentificationOption of vehicleidentifications; trackBy: trackVehicleIdentificationById">{{vehicleIdentificationOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
